Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
servermon::ServerMonitor::ServerReachabilityEvent Struct Reference

Event: Reachability status for a monitored server has changed or server continues to be unreachable. More...

Inheritance diagram for servermon::ServerMonitor::ServerReachabilityEvent:

## Public Attributes
int | id
| id of the server entry
string | host
| Server hostname/IP address.
ServerReachability | reachable
| Current Reachability state.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Reachability status for a monitored server has changed or server continues to be unreachable.

The documentation for this struct was generated from the following file:

- ServerMonitor.idl